## org.apache.lucene.index
Class BaseCompressingDocValuesFormatTestCase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.index.BaseDocValuesFormatTestCase
                  org.apache.lucene.index.BaseCompressingDocValuesFormatTestCase

    public abstract class BaseCompressingDocValuesFormatTestCase

extends BaseDocValuesFormatTestCase

Extends `BaseDocValuesFormatTestCase` to add compression checks.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.Weekly`

Field Summary

Fields inherited from class org.apache.lucene.util.LuceneTestCase

`classRules, DEFAULT_LINE_DOCS_FILE, doesntSupportOffsets, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, PREFLEX_IMPERSONATION_IS_ACTIVE, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEMP_DIR, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_VERSION_CURRENT, TEST_WEEKLY, VERBOSE`

Constructor Summary
`BaseCompressingDocValuesFormatTestCase()`

Method Summary
`void` `testDateCompression()`
`void` `testSingleBigValueCompression()`
`void` `testUniqueValuesCompression()`

Methods inherited from class org.apache.lucene.index.BaseDocValuesFormatTestCase

`getCodec, setUp, tearDown, testBigNumericRange, testBigNumericRange2, testBinaryFixedLengthVsStoredFields, testBinaryVariableLengthVsStoredFields, testBooleanNumericsVsStoredFields, testByteNumericsVsStoredFields, testBytes, testBytesTwoDocumentsMerged, testBytesWithNewline, testCodecUsesOwnBytes, testCodecUsesOwnBytesEachTime, testCodecUsesOwnSortedBytes, testCodecUsesOwnSortedBytesEachTime, testDocValuesSimple, testEmptyBytes, testEmptySortedBytes, testGCDCompression, testIntNumericsVsStoredFields, testLongNumericsVsStoredFields, testMissingSortedBytes, testOneFloat, testOneNumber, testRandomSortedBytes, testShortNumericsVsStoredFields, testSortedBytes, testSortedBytesThreeDocuments, testSortedBytesTwoDocuments, testSortedBytesTwoDocumentsMerged, testSortedFixedLengthVsStoredFields, testSortedSetFixedLengthVsStoredFields, testSortedSetFixedLengthVsUninvertedField, testSortedSetMergeAwayAllValues, testSortedSetOneValue, testSortedSetTermsEnum, testSortedSetThreeValuesTwoDocs, testSortedSetTwoDocumentsFirstMissing, testSortedSetTwoDocumentsFirstMissingMerge, testSortedSetTwoDocumentsLastMissing, testSortedSetTwoDocumentsLastMissingMerge, testSortedSetTwoDocumentsMerged, testSortedSetTwoFields, testSortedSetTwoValues, testSortedSetTwoValuesUnordered, testSortedSetVariableLengthVsStoredFields, testSortedSetVariableLengthVsUninvertedField, testSortedTermsEnum, testSortedVariableLengthVsStoredFields, testThreeFieldsMixed, testThreeFieldsMixed2, testTwoDocumentsMerged, testTwoDocumentsNumeric, testTwoFieldsMixed, testTwoNumbers, testVeryLargeButLegalBytes, testVeryLargeButLegalSortedBytes, testZeroOrMin, testZeros`

Methods inherited from class org.apache.lucene.util.LuceneTestCase

`assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertSaneFieldCaches, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, defaultCodecSupportsDocValues, defaultCodecSupportsSortedSet, dumpArray, dumpIterator, getDataFile, getOnlySegmentReader, getTestClass, getTestName, isTestThread, localeForName, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMockDirectory, newMockDirectory, newMockFSDirectory, newSearcher, newSearcher, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, usually, usually`

Methods inherited from class org.junit.Assert

`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseCompressingDocValuesFormatTestCase

    public BaseCompressingDocValuesFormatTestCase()

Method Detail

### testUniqueValuesCompression

    public void testUniqueValuesCompression()
                                     throws IOException

  Throws:
    `IOException`

### testDateCompression

    public void testDateCompression()
                             throws IOException

  Throws:
    `IOException`

### testSingleBigValueCompression

    public void testSingleBigValueCompression()
                                       throws IOException

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.